Page MenuHomePhabricator

Homepage: Mentorship and Help module schema usage
Closed, ResolvedPublic

Description

@nettrom_WMF, per T219387: Homepage: modify Schema:HelpPanel to accept events from Special:Homepage mentorship and help modules, we are proposing to reuse the existing HelpPanel schema, and log interactions with mentorship and help modules as editor_interface: homepage_mentorship and editor_interface: homepage_help respectively. Does that sound OK to you?

Event Timeline

kostajh renamed this task from Mentorship and Help module logging to Homepage: Mentorship and Help module schema usage.Mar 27 2019, 6:14 PM
kostajh renamed this task from Homepage: Mentorship and Help module schema usage to Homepage: [REVIEW] Mentorship and Help module schema usage.Mar 27 2019, 8:13 PM
kostajh added subscribers: Catrope, SBisson, MMiller_WMF.

Just noting the discussion we had in T219387, as mentioned there this change is OK with me! I've also updated the measurement specification so it mentions the HelpPanel schema and how we'll be using it.

SBisson renamed this task from Homepage: [REVIEW] Mentorship and Help module schema usage to Homepage: Track Mentorship and Help modules actions in the HelpPanel schema.Mar 28 2019, 6:03 PM

Change 499849 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/GrowthExperiments@master] Distinguish editor interface for homepage modules

https://gerrit.wikimedia.org/r/499849

SBisson renamed this task from Homepage: Track Mentorship and Help modules actions in the HelpPanel schema to Homepage: [REVIEW] Mentorship and Help module schema usage.Mar 28 2019, 7:44 PM
SBisson reassigned this task from SBisson to kostajh.
SBisson moved this task from Code Review to In Progress on the Growth-Team (Current Sprint) board.

I'm reverting the changes I've made to this task. I didn't realize T219387 is the task to do the work on this.

kostajh renamed this task from Homepage: [REVIEW] Mentorship and Help module schema usage to Homepage: Mentorship and Help module schema usage.Mar 29 2019, 2:05 AM
kostajh moved this task from In Progress to Needs PM Review on the Growth-Team (Current Sprint) board.

In the meeting today, @nettrom_WMF agreed that using the HelpPanel schema for the question asking components of mentorship and help would be fine. The helppanel_session_id needs to be the same as the homepage_pageview_token generated for HomepageVisit schema.

The measurement specification already listed the HelpPanel schema as an associated schema. I've now also updated the spec to mention how the helppanel_session_id and homepage_pageview_token fields will match for Homepage-related events.

Change 499849 had a related patch set uploaded (by Sbisson; owner: Sbisson):
[mediawiki/extensions/GrowthExperiments@master] Adjust editor and session for homepage modules

https://gerrit.wikimedia.org/r/499849

Change 499849 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Adjust editor and session for homepage modules

https://gerrit.wikimedia.org/r/499849

We will be reviewing the homepage instrumentation through other tasks. This is complete.